#
# spec file for package perl-DBI (Version 1.37)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  perl-Curses
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl perl-Curses rpm

Name:         perl-DBI
Version:      1.37
Release:      66
Obsoletes:    perl_dbi
Provides:     perl_dbi DBI
Requires:     perl = %{perl_version}
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      GPL
URL:          http://dbi.perl.org
Summary:      The Perl Database Interface
Source:       DBI-%{version}.tar.bz2
Patch0:       DBI-%{version}-printf.diff
Patch1:       DBI-%{version}-64bit.diff
Patch2:       DBI-%{version}-tmp.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The Perl Database Interface by Tim Bunce.



Authors:
--------
    Tim Bunce <Tim.Bunce@pobox.com>
    <dbi-users@isc.org>

%prep
%setup -n DBI-%{version}
%patch0
%patch1
%patch2

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes README ToDo
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Bundle
%{perl_vendorarch}/DBD
%{perl_vendorarch}/DBI
%{perl_vendorarch}/DBI.pm
%{perl_vendorarch}/Win32
%{perl_vendorarch}/auto/DBI
%{_bindir}/*
/var/adm/perl-modules/%{name}

%changelog -n perl-DBI
* Fri Jan 28 2005 - mjancar@suse.cz
- fix CAN-2005-0077: Insecure temporary files in DBI
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 - mjancar@suse.cz
- fix filelist
* Thu Jun 05 2003 - mjancar@suse.cz
- fix test failing on 64bit architectures
* Wed Jun 04 2003 - mjancar@suse.cz
- update to 1.37
  * Changed execute_array() return value from row
  count to executed tuple count, and now the
  ArrayTupleStatus attribute is mandatory.
- use $RPM_OPT_FLAGS
- don't package MANIFEST
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Fri Dec 13 2002 - prehak@suse.cz
- update to version 1.32
* Tue Jul 09 2002 - prehak@suse.cz
- updated to version 1.28
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Jan 22 2002 - rvasice@suse.cz
- update to version 1.20
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 1.19
- spec file cleanup
* Tue Feb 13 2001 - cihlar@suse.cz
- bzipped sources
- use %%{version}
- update to version 1.14
- added %%clean
- fixed file list
- added make test
* Tue Nov 07 2000 - grimmer@suse.de
- removed BuildRoot path via sed calls in spec file
* Tue Oct 31 2000 - grimmer@suse.de
- renamed from perl_dbi to perl-DBI
- added BuildRoot
* Wed Jul 05 2000 - grimmer@suse.de
- marked man pages as documentation
- added missing man pages from section 1
- added Group tag
- added "Provides: DBI"
* Wed May 24 2000 - ug@suse.de
- added to distribution
